<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Requests extends Model
{
    public $table = 'requests';
    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = ['name','email','type','branch_id','phone','service_id'];
    
    public function branches(){
        return $this->belongsTo('App\Branch','branch_id');
    }
    public function services(){
        return $this->belongsTo('App\Service','service_id');
    }
}
